Bug 844258 - will keep "deploying" status in .state file for nodejs application after git push
will keep "deploying" status in .state file for nodejs application after git ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Dan Mace
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 03:05 EDT by Meng Bo
Modified: 2015-05-14 18:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: libra_ami 1986+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:30:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-07-30 03:05:39 EDT
Description of problem:
Create nodejs app, login to the app and check the app-root/runtime/.state file, it should show the app current status. Do some change and git push the change, during the push, watch the .state file for app status, it will keep "deploying" after git push finished.

Version-Release number of selected component (if applicable):
cartridge-nodejs-0.6-0.11.3-1.el6_3.noarch

How reproducible:
always

Steps to Reproduce:
1.Create nodejs app
2.Do some change and git push
3.After push finished, check the app-root/runtime/.state file for the app
  
Actual results:
The .state file will keep "deployint" status.

Expected results:
The status in .state should be started->stopped->building->deploying->started

Additional info:
Check the status from rest api will get the same result.

[root@ip-10-86-205-90 limits.d]# curl -k -H 'Accept: application/xml' --user bmeng@redhat.com:123123 https://localhost/broker/rest/domains/bmengdev/applications/no1/gear_groups
<?xml version="1.0" encoding="UTF-8"?>
<response>
  <messages/>
<------->
        <gear>
          <state>deploying</state>
          <id>aa141b92fcb54b6c95b8f7048cb194e1</id>
        </gear>
<------->


And check the status from rhc client,
$ rhc app status -a no1
Password: 


RESULT:
Application 'no1' is running
Comment 1 Jhon Honce 2012-07-30 13:07:57 EDT
app_ctl.sh doesn't update state for application. Should be modeled after jboss app_ctl_impl.sh regarding state updates.
Comment 2 Dan Mace 2012-08-14 16:18:13 EDT
Fixed by: https://github.com/openshift/crankcase/pull/373
Comment 3 Meng Bo 2012-08-15 06:25:56 EDT
Checked on devenv_1990, issue has been fixed.

After git push, nodejs app .state file show as started.

Note You need to log in before you can comment on or make changes to this bug.